[mythtv-users] Ubuntu 10.04 / 0.23 upgrade killed VDPAU

Jeremy Garrard jeremy at thebunnyshed.co.uk
Fri May 21 22:27:42 UTC 2010

"Jeremy Garrard" <jeremy at thebunnyshed.co.uk> wrote:
> I notice I am now running nvidia driver 195.36.15 whereas before I was on 
> 190 something. I have checked X's log and there are no errors, and the 
> driver seems to be being loaded fine. Xorg.conf looks fine too.

Just to update, I've finally got it working.
I downloaded the 195.36.24 installer from the nvidia site and ran that. 
Interestingly, it found and removed my old 190 driver which hadn't been 
listed in the hardware drivers display.

It also moaned mightily about stuff missing or in the wrong place probably 
due to a packaged version being installed (true as part of 10.04 upgrade). 
The 10.04 pre-install script failed too, but I was half expecting that due 
to the 10.04 release notes mentioning that it had broken the nvidia driver 

All in all I was expecting a huge mess after the install, but I restarted X 
and everything hunkey dorey! Well, hardware drivers is still showing me as 
having "Current release", but nvidia-settings is properly reporting 

As an aside, very happy with 0.23 of myth. Fixed many problems with playback 
I was having such as broken rewind and half speed playback. Like the look of 
5.1 upmix too. :-).

Just need to fix corrupt playback of H264 streams with >3 B-frames now 
(which has always been a problem). I will have a fiddle with vdpau buffer 
size tomorrow.


More information about the mythtv-users mailing list